package com.ruoyi.demo.service;

import com.github.pagehelper.PageInfo;
import com.ruoyi.demo.entity.Brand;
import com.ruoyi.demo.entity.bo.Histogram;
import com.ruoyi.demo.entity.bo.StoreWdCategoryCount;
import com.ruoyi.demo.entity.vo.ChannelAnalyseAceeptVo;
import com.ruoyi.demo.entity.vo.ChannelMapAceeptVo;


import java.util.ArrayList;
import java.util.HashMap;
import java.util.Hashtable;
import java.util.List;

public interface ChannelAnalyseService {
    public HashMap cityTier(ChannelMapAceeptVo channelMapAceeptVo);

    PageInfo<Brand> brandList(ChannelAnalyseAceeptVo channelAnalyseAceeptVo);

    HashMap<String,Object> tagAnalyse(ChannelMapAceeptVo channelMapAceeptVo);

    List<StoreWdCategoryCount> category(ChannelMapAceeptVo channelMapAceeptVo);

    HashMap<String,Integer> businessStatusAnalyse(ChannelMapAceeptVo channelMapAceeptVo);

    ArrayList<Histogram> aroundBuildAnalyse(ChannelMapAceeptVo channelMapAceeptVo);

    ArrayList<Histogram> perCapitaConsumpAnalyse(ChannelMapAceeptVo channelMapAceeptVo);

    ArrayList<Histogram> operateTimeAnalyse(ChannelMapAceeptVo channelMapAceeptVo);

//    void businessAnalyse(ChannelMapAceeptVo channelMapAceeptVo);
}
